package org.ap;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageButton;

public class CartaActivity extends Activity{
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.carta);
		
		ImageButton btnTablas = (ImageButton)findViewById(R.id.btnTablas);
		ImageButton btnEnsaladas = (ImageButton)findViewById(R.id.btnEnsaladas);
		ImageButton btnRevueltos = (ImageButton)findViewById(R.id.btnRevueltos);
		ImageButton btnTapitas = (ImageButton)findViewById(R.id.btnTapitas);
		ImageButton btnFritos = (ImageButton)findViewById(R.id.btnFritos);
		ImageButton btnChacinas = (ImageButton)findViewById(R.id.btnChacinas);
		ImageButton btnCarnes = (ImageButton)findViewById(R.id.btnCarnes);
		ImageButton btnPostres = (ImageButton)findViewById(R.id.btnPostres);
		
		//Establecemos el comportamiento de los botones
        btnTablas.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(CartaActivity.this, CartaProductosActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("TIPO", "tablas");
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnEnsaladas.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(CartaActivity.this, CartaProductosActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("TIPO", "ensaladas");
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnRevueltos.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(CartaActivity.this, CartaProductosActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("TIPO", "revueltos");
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnTapitas.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(CartaActivity.this, CartaProductosActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("TIPO", "tapitas");
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnCarnes.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(CartaActivity.this, CartaProductosActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("TIPO", "carnes");
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnFritos.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(CartaActivity.this, CartaProductosActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("TIPO", "fritos");
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnPostres.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(CartaActivity.this, CartaProductosActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("TIPO", "postres");
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnChacinas.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(CartaActivity.this, CartaProductosActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("TIPO", "chacinas");
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
	}

}
