package org.ap;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageButton;

public class Pedido3Activity extends Activity{
	
	private String nombre;
	private String telefono;
	private String email;
	private String direccion;
	private String hora;
	private Integer contador;
	private String[] nombres;
	private String[] tipos;
	private double[] precios;
	//private int[] cantidades;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.pedido3);
		
		Bundle bundle = getIntent().getExtras();
		nombre = bundle.getString("Nombre");
		telefono = bundle.getString("Telfono");
		email = bundle.getString("Email");
		direccion = bundle.getString("Direccin");
		hora = bundle.getString("Hora");
		contador = bundle.getInt("contadorProductos");
		nombres = bundle.getStringArray("nombresProductos");
		tipos = bundle.getStringArray("tiposProductos");
		precios = bundle.getDoubleArray("preciosProductos");
		//cantidades = bundle.getIntArray("cantidadesProductos");
		
		ImageButton btnTablas = (ImageButton)findViewById(R.id.btnTablasPedido);
		ImageButton btnEnsaladas = (ImageButton)findViewById(R.id.btnEnsaladasPedido);
		ImageButton btnRevueltos = (ImageButton)findViewById(R.id.btnRevueltosPedido);
		ImageButton btnTapitasI = (ImageButton)findViewById(R.id.btnTapitasIPedido);
		ImageButton btnTapitasII = (ImageButton)findViewById(R.id.btnTapitasIIPedido);
		ImageButton btnFritos = (ImageButton)findViewById(R.id.btnFritosPedido);
		ImageButton btnChacinas = (ImageButton)findViewById(R.id.btnChacinasPedido);
		ImageButton btnCarnes = (ImageButton)findViewById(R.id.btnCarnesPedido);
		ImageButton btnBebidas = (ImageButton)findViewById(R.id.btnBebidasPedido);
		ImageButton btnPostres = (ImageButton)findViewById(R.id.btnPostresPedido);
		Button btnCesta = (Button)findViewById(R.id.btnCesta);
		Button btnContinuar = (Button)findViewById(R.id.btnPedido3);
		
		//Establecemos el comportamiento de los botones
        btnCesta.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
            	try{
            		Intent intent = new Intent(Pedido3Activity.this, PedidoCestaActivity.class);
                    //Para incorporar informacin entre activities
                    Bundle bundle = new Bundle();
                    bundle.putString("Nombre", nombre);
                    bundle.putString("Telfono", telefono);
                    bundle.putString("Direccin", direccion);
                    bundle.putString("Email", email);
                    bundle.putString("Hora", hora);
                    bundle.putInt("contadorProductos", contador);
                    bundle.putStringArray("nombresProductos", nombres);
                    bundle.putStringArray("tiposProductos", tipos);
                	bundle.putDoubleArray("preciosProductos", precios);
                	//bundle.putIntArray("cantidadesProductos", cantidades);
                    intent.putExtras(bundle);
                    //Lanza la actividad
                    startActivity(intent);
            	}catch(Exception e){
            		Log.d("Petamiento", e.getMessage());
            	}
                
            }
        });
        
      //Establecemos el comportamiento de los botones
        btnContinuar.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(Pedido3Activity.this, Pedido4Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
		
		//Establecemos el comportamiento de los botones
        btnTablas.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(Pedido3Activity.this, PedidoTablasActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnEnsaladas.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(Pedido3Activity.this, PedidoEnsaladasActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnBebidas.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(Pedido3Activity.this, PedidoBebidasActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnCarnes.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(Pedido3Activity.this, PedidoCarnesActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnChacinas.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(Pedido3Activity.this, PedidoChacinasActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnFritos.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(Pedido3Activity.this, PedidoFritosActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnPostres.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(Pedido3Activity.this, PedidoPostresActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnRevueltos.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(Pedido3Activity.this, PedidoRevueltosActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnTapitasI.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(Pedido3Activity.this, PedidoTapitasIActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        btnTapitasII.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(Pedido3Activity.this, PedidoTapitasIIActivity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
		
	}

}
