package org.ap;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class PedidoActivity extends Activity{
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.pedido);
		
		Button buttonPedido = (Button)findViewById(R.id.buttonPedido1);
		buttonPedido.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	
            	//Obtenemos los datos para el envo del correo
		        EditText txtNombre = (EditText) findViewById(R.id.txtNombre);
		        EditText txtTelefono = (EditText) findViewById(R.id.txtTelefono);
		        EditText txtEmail = (EditText) findViewById(R.id.txtEmail);
		        EditText txtDireccion = (EditText) findViewById(R.id.txtDireccion);
		        String nombre = txtNombre.getText().toString();
		        String telefono = txtTelefono.getText().toString();
		        String email = txtEmail.getText().toString();
		        String direccion = txtDireccion.getText().toString();
            	
		        if(nombre.isEmpty()){
		        	Toast toast = Toast.makeText(getApplicationContext(),
		                        "El campo nombre no ha sido rellenado", Toast.LENGTH_LONG);
		            toast.show();
		        }else if(telefono.isEmpty()){
		        	Toast toast = Toast.makeText(getApplicationContext(),
	                        "El campo telfono no ha sido rellenado", Toast.LENGTH_LONG);
		        	toast.show();
		        }else if(telefono.length() != 9){
		        	Toast toast = Toast.makeText(getApplicationContext(),
	                        "El campo telfono debe tener 9 cifras numricas", Toast.LENGTH_LONG);
		        	toast.show();
		        }else if(email.isEmpty()){
		        	Toast toast = Toast.makeText(getApplicationContext(),
	                        "El campo email no ha sido rellenado", Toast.LENGTH_LONG);
		        	toast.show();
		        }else if(direccion.isEmpty()){
		        	Toast toast = Toast.makeText(getApplicationContext(),
	                        "El campo direccin no ha sido rellenado", Toast.LENGTH_LONG);
		        	toast.show();
		        }else{
		        	//Para redirigir a la siguiente pantalla
	                Intent intent = new Intent(PedidoActivity.this, Pedido2Activity.class);
	                //Para incorporar informacin entre activities
	                Bundle bundle = new Bundle();
	                bundle.putString("Nombre", nombre);
	                bundle.putString("Telfono", telefono);
	                bundle.putString("Email", email);
	                bundle.putString("Direccin", direccion);
	                intent.putExtras(bundle);
			        //iniciamos la actividad
			        startActivity(intent);
		        }
            }
        });
		
	}

}
