package org.ap;

import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class PedidoCestaActivity extends Activity{
	
	private String nombre;
	private String telefono;
	private String email;
	private String direccion;
	private String hora;
	private Integer contador;
	private String[] nombres;
	private String[] tipos;
	private double[] precios;
	//private int[] cantidades;
	
	private List<TextView> listaNombres = new ArrayList<TextView>();
	private List<TextView> listaTipos = new ArrayList<TextView>();
	private List<TextView> listaPrecios = new ArrayList<TextView>();
	private List<Button> listaBotones = new ArrayList<Button>();
	private TextView precioTotal;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.cesta);
		
		Bundle bundle = getIntent().getExtras();
		nombre = bundle.getString("Nombre");
		telefono = bundle.getString("Telfono");
		email = bundle.getString("Email");
		direccion = bundle.getString("Direccin");
		hora = bundle.getString("Hora");
		contador = bundle.getInt("contadorProductos");
		nombres = bundle.getStringArray("nombresProductos");
		tipos = bundle.getStringArray("tiposProductos");
		precios = bundle.getDoubleArray("preciosProductos");
		//cantidades = bundle.getIntArray("cantidadesProductos");
		
		precioTotal = (TextView) findViewById(R.id.precioCesta);
		double euros = 0.0;
		for(int i=0;i<contador;i++){
			euros = euros + precios[i];
		}
		//Para el redondeo
		euros = euros * 100;
		euros = Math.round(euros);
		euros = euros / 100;
		precioTotal.setText(String.valueOf(euros)+"0 ");
		
		TextView nombre1 = (TextView) findViewById(R.id.nombreProd1Cesta);
		TextView tipo1 = (TextView) findViewById(R.id.tipoProd1Cesta);
		TextView precio1 = (TextView) findViewById(R.id.precioProd1Cesta);
		Button button1 = (Button) findViewById(R.id.buttonProd1Cesta);
		listaNombres.add(nombre1);
		listaTipos.add(tipo1);
		listaPrecios.add(precio1);
		listaBotones.add(button1);
		
		TextView nombre2 = (TextView) findViewById(R.id.nombreProd2Cesta);
		TextView tipo2 = (TextView) findViewById(R.id.tipoProd2Cesta);
		TextView precio2 = (TextView) findViewById(R.id.precioProd2Cesta);
		Button button2 = (Button) findViewById(R.id.buttonProd2Cesta);
		listaNombres.add(nombre2);
		listaTipos.add(tipo2);
		listaPrecios.add(precio2);
		listaBotones.add(button2);
		
		TextView nombre3 = (TextView) findViewById(R.id.nombreProd3Cesta);
		TextView tipo3 = (TextView) findViewById(R.id.tipoProd3Cesta);
		TextView precio3 = (TextView) findViewById(R.id.precioProd3Cesta);
		Button button3 = (Button) findViewById(R.id.buttonProd3Cesta);
		listaNombres.add(nombre3);
		listaTipos.add(tipo3);
		listaPrecios.add(precio3);
		listaBotones.add(button3);
		
		TextView nombre4 = (TextView) findViewById(R.id.nombreProd4Cesta);
		TextView tipo4 = (TextView) findViewById(R.id.tipoProd4Cesta);
		TextView precio4 = (TextView) findViewById(R.id.precioProd4Cesta);
		Button button4 = (Button) findViewById(R.id.buttonProd4Cesta);
		listaNombres.add(nombre4);
		listaTipos.add(tipo4);
		listaPrecios.add(precio4);
		listaBotones.add(button4);
		
		TextView nombre5 = (TextView) findViewById(R.id.nombreProd5Cesta);
		TextView tipo5 = (TextView) findViewById(R.id.tipoProd5Cesta);
		TextView precio5 = (TextView) findViewById(R.id.precioProd5Cesta);
		Button button5 = (Button) findViewById(R.id.buttonProd5Cesta);
		listaNombres.add(nombre5);
		listaTipos.add(tipo5);
		listaPrecios.add(precio5);
		listaBotones.add(button5);
		
		TextView nombre6 = (TextView) findViewById(R.id.nombreProd6Cesta);
		TextView tipo6 = (TextView) findViewById(R.id.tipoProd6Cesta);
		TextView precio6 = (TextView) findViewById(R.id.precioProd6Cesta);
		Button button6 = (Button) findViewById(R.id.buttonProd6Cesta);
		listaNombres.add(nombre6);
		listaTipos.add(tipo6);
		listaPrecios.add(precio6);
		listaBotones.add(button6);
		
		TextView nombre7 = (TextView) findViewById(R.id.nombreProd7Cesta);
		TextView tipo7 = (TextView) findViewById(R.id.tipoProd7Cesta);
		TextView precio7 = (TextView) findViewById(R.id.precioProd7Cesta);
		Button button7 = (Button) findViewById(R.id.buttonProd7Cesta);
		listaNombres.add(nombre7);
		listaTipos.add(tipo7);
		listaPrecios.add(precio7);
		listaBotones.add(button7);
		
		TextView nombre8 = (TextView) findViewById(R.id.nombreProd8Cesta);
		TextView tipo8 = (TextView) findViewById(R.id.tipoProd8Cesta);
		TextView precio8 = (TextView) findViewById(R.id.precioProd8Cesta);
		Button button8 = (Button) findViewById(R.id.buttonProd8Cesta);
		listaNombres.add(nombre8);
		listaTipos.add(tipo8);
		listaPrecios.add(precio8);
		listaBotones.add(button8);
		
		TextView nombre9 = (TextView) findViewById(R.id.nombreProd9Cesta);
		TextView tipo9 = (TextView) findViewById(R.id.tipoProd9Cesta);
		TextView precio9 = (TextView) findViewById(R.id.precioProd9Cesta);
		Button button9 = (Button) findViewById(R.id.buttonProd9Cesta);
		listaNombres.add(nombre9);
		listaTipos.add(tipo9);
		listaPrecios.add(precio9);
		listaBotones.add(button9);
		
		TextView nombre10 = (TextView) findViewById(R.id.nombreProd10Cesta);
		TextView tipo10 = (TextView) findViewById(R.id.tipoProd10Cesta);
		TextView precio10 = (TextView) findViewById(R.id.precioProd10Cesta);
		Button button10 = (Button) findViewById(R.id.buttonProd10Cesta);
		listaNombres.add(nombre10);
		listaTipos.add(tipo10);
		listaPrecios.add(precio10);
		listaBotones.add(button10);
		
		TextView nombre11 = (TextView) findViewById(R.id.nombreProd11Cesta);
		TextView tipo11 = (TextView) findViewById(R.id.tipoProd11Cesta);
		TextView precio11 = (TextView) findViewById(R.id.precioProd11Cesta);
		Button button11 = (Button) findViewById(R.id.buttonProd11Cesta);
		listaNombres.add(nombre11);
		listaTipos.add(tipo11);
		listaPrecios.add(precio11);
		listaBotones.add(button11);
		
		TextView nombre12 = (TextView) findViewById(R.id.nombreProd12Cesta);
		TextView tipo12 = (TextView) findViewById(R.id.tipoProd12Cesta);
		TextView precio12 = (TextView) findViewById(R.id.precioProd12Cesta);
		Button button12 = (Button) findViewById(R.id.buttonProd12Cesta);
		listaNombres.add(nombre12);
		listaTipos.add(tipo12);
		listaPrecios.add(precio12);
		listaBotones.add(button12);
		
		TextView nombre13 = (TextView) findViewById(R.id.nombreProd13Cesta);
		TextView tipo13 = (TextView) findViewById(R.id.tipoProd13Cesta);
		TextView precio13 = (TextView) findViewById(R.id.precioProd13Cesta);
		Button button13 = (Button) findViewById(R.id.buttonProd13Cesta);
		listaNombres.add(nombre13);
		listaTipos.add(tipo13);
		listaPrecios.add(precio13);
		listaBotones.add(button13);
		
		TextView nombre14 = (TextView) findViewById(R.id.nombreProd14Cesta);
		TextView tipo14 = (TextView) findViewById(R.id.tipoProd14Cesta);
		TextView precio14 = (TextView) findViewById(R.id.precioProd14Cesta);
		Button button14 = (Button) findViewById(R.id.buttonProd14Cesta);
		listaNombres.add(nombre14);
		listaTipos.add(tipo14);
		listaPrecios.add(precio14);
		listaBotones.add(button14);
		
		TextView nombre15 = (TextView) findViewById(R.id.nombreProd15Cesta);
		TextView tipo15 = (TextView) findViewById(R.id.tipoProd15Cesta);
		TextView precio15 = (TextView) findViewById(R.id.precioProd15Cesta);
		Button button15 = (Button) findViewById(R.id.buttonProd15Cesta);
		listaNombres.add(nombre15);
		listaTipos.add(tipo15);
		listaPrecios.add(precio15);
		listaBotones.add(button15);
		
		TextView nombre16 = (TextView) findViewById(R.id.nombreProd16Cesta);
		TextView tipo16 = (TextView) findViewById(R.id.tipoProd16Cesta);
		TextView precio16 = (TextView) findViewById(R.id.precioProd16Cesta);
		Button button16 = (Button) findViewById(R.id.buttonProd16Cesta);
		listaNombres.add(nombre16);
		listaTipos.add(tipo16);
		listaPrecios.add(precio16);
		listaBotones.add(button16);
		
		TextView nombre17 = (TextView) findViewById(R.id.nombreProd17Cesta);
		TextView tipo17 = (TextView) findViewById(R.id.tipoProd17Cesta);
		TextView precio17 = (TextView) findViewById(R.id.precioProd17Cesta);
		Button button17 = (Button) findViewById(R.id.buttonProd17Cesta);
		listaNombres.add(nombre17);
		listaTipos.add(tipo17);
		listaPrecios.add(precio17);
		listaBotones.add(button17);
		
		TextView nombre18 = (TextView) findViewById(R.id.nombreProd18Cesta);
		TextView tipo18 = (TextView) findViewById(R.id.tipoProd18Cesta);
		TextView precio18 = (TextView) findViewById(R.id.precioProd18Cesta);
		Button button18 = (Button) findViewById(R.id.buttonProd18Cesta);
		listaNombres.add(nombre18);
		listaTipos.add(tipo18);
		listaPrecios.add(precio18);
		listaBotones.add(button18);
		
		TextView nombre19 = (TextView) findViewById(R.id.nombreProd19Cesta);
		TextView tipo19 = (TextView) findViewById(R.id.tipoProd19Cesta);
		TextView precio19 = (TextView) findViewById(R.id.precioProd19Cesta);
		Button button19 = (Button) findViewById(R.id.buttonProd19Cesta);
		listaNombres.add(nombre19);
		listaTipos.add(tipo19);
		listaPrecios.add(precio19);
		listaBotones.add(button19);
		
		TextView nombre20 = (TextView) findViewById(R.id.nombreProd20Cesta);
		TextView tipo20 = (TextView) findViewById(R.id.tipoProd20Cesta);
		TextView precio20 = (TextView) findViewById(R.id.precioProd20Cesta);
		Button button20 = (Button) findViewById(R.id.buttonProd20Cesta);
		listaNombres.add(nombre20);
		listaTipos.add(tipo20);
		listaPrecios.add(precio20);
		listaBotones.add(button20);
		
		//Rellenamos la lista de productos seleccionados
		for(int i=0;i<contador;i++){
			TextView nombre = listaNombres.get(i);
			nombre.setText(nombres[i]);
			TextView tipo = listaTipos.get(i);
			tipo.setText(tipos[i]);
			TextView precio = listaPrecios.get(i);
			precio.setText(String.valueOf(precios[i]));
			Button button = listaBotones.get(i);
			button.setVisibility(View.VISIBLE);
		}
		
		//Establecemos el comportamiento de los botones
		Button buttonVaciar = (Button) findViewById(R.id.btnVaciarCesta);
        buttonVaciar.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//precioTotal.setText("0.00 ");
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", 0);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
		
		
		//Establecemos el comportamiento de los botones
        button1.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(0);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button2.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(1);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button3.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(2);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button4.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(3);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button5.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(4);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button6.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(5);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button7.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(6);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button8.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(7);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button9.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(8);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button10.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(9);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button11.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(10);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button12.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(11);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button13.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(12);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button14.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(13);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button15.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(14);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button16.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(15);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button17.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(16);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button18.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(17);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad}
                startActivity(intent);
            }
        });
        
        button19.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(18);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
        
        button20.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoCestaActivity.this, Pedido3Activity.class);
                //Para incorporar informacin entre activities
                Bundle bundle = new Bundle();
                reordenaListas(19);
                bundle.putString("Nombre", nombre);
                bundle.putString("Telfono", telefono);
                bundle.putString("Direccin", direccion);
                bundle.putString("Email", email);
                bundle.putString("Hora", hora);
                bundle.putInt("contadorProductos", contador);
                bundle.putStringArray("nombresProductos", nombres);
                bundle.putStringArray("tiposProductos", tipos);
            	bundle.putDoubleArray("preciosProductos", precios);
            	//bundle.putIntArray("cantidadesProductos", cantidades);
                intent.putExtras(bundle);
                //Lanza la actividad
                startActivity(intent);
            }
        });
		
		
	}
	
	public void reordenaListas(int position){
		for(int i=position;i<contador;i++){
			nombres[i] = nombres[i+1];
			tipos[i] = tipos[i+1];
			precios[i] = precios[i+1];
		}
    	contador = contador - 1;
    }

}
