package org.ap;

import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class PedidoCestaInfoActivity extends Activity{
	
	private Integer contador;
	private String[] nombres;
	private String[] tipos;
	private double[] precios;
	//private int[] cantidades;
	
	private List<TextView> listaNombres = new ArrayList<TextView>();
	private List<TextView> listaTipos = new ArrayList<TextView>();
	private List<TextView> listaPrecios = new ArrayList<TextView>();
	private List<TextView> listaCantidades = new ArrayList<TextView>();
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.cestainfo);
		
		Bundle bundle = getIntent().getExtras();
		contador = bundle.getInt("contadorProductos");
		nombres = bundle.getStringArray("nombresProductos");
		tipos = bundle.getStringArray("tiposProductos");
		precios = bundle.getDoubleArray("preciosProductos");
		//cantidades = bundle.getIntArray("cantidadesProductos");
		
		TextView precioTotal = (TextView) findViewById(R.id.precioCesta);
		double euros = 0.0;
		for(int i=0;i<precios.length;i++){
			euros = euros + precios[i];
		}
		precioTotal.setText(String.valueOf(euros)+"0 ");
		
		TextView nombre1 = (TextView) findViewById(R.id.nombreProd1Cesta);
		TextView tipo1 = (TextView) findViewById(R.id.tipoProd1Cesta);
		TextView precio1 = (TextView) findViewById(R.id.precioProd1Cesta);
		TextView cant1 = (TextView) findViewById(R.id.cantProd1Cesta);
		listaNombres.add(nombre1);
		listaTipos.add(tipo1);
		listaPrecios.add(precio1);
		listaCantidades.add(cant1);
		
		TextView nombre2 = (TextView) findViewById(R.id.nombreProd2Cesta);
		TextView tipo2 = (TextView) findViewById(R.id.tipoProd2Cesta);
		TextView precio2 = (TextView) findViewById(R.id.precioProd2Cesta);
		TextView cant2 = (TextView) findViewById(R.id.cantProd2Cesta);
		listaNombres.add(nombre2);
		listaTipos.add(tipo2);
		listaPrecios.add(precio2);
		listaCantidades.add(cant2);
		
		TextView nombre3 = (TextView) findViewById(R.id.nombreProd3Cesta);
		TextView tipo3 = (TextView) findViewById(R.id.tipoProd3Cesta);
		TextView precio3 = (TextView) findViewById(R.id.precioProd3Cesta);
		TextView cant3 = (TextView) findViewById(R.id.cantProd3Cesta);
		listaNombres.add(nombre3);
		listaTipos.add(tipo3);
		listaPrecios.add(precio3);
		listaCantidades.add(cant3);
		
		TextView nombre4 = (TextView) findViewById(R.id.nombreProd4Cesta);
		TextView tipo4 = (TextView) findViewById(R.id.tipoProd4Cesta);
		TextView precio4 = (TextView) findViewById(R.id.precioProd4Cesta);
		TextView cant4 = (TextView) findViewById(R.id.cantProd4Cesta);
		listaNombres.add(nombre4);
		listaTipos.add(tipo4);
		listaPrecios.add(precio4);
		listaCantidades.add(cant4);
		
		TextView nombre5 = (TextView) findViewById(R.id.nombreProd5Cesta);
		TextView tipo5 = (TextView) findViewById(R.id.tipoProd5Cesta);
		TextView precio5 = (TextView) findViewById(R.id.precioProd5Cesta);
		TextView cant5 = (TextView) findViewById(R.id.cantProd5Cesta);
		listaNombres.add(nombre5);
		listaTipos.add(tipo5);
		listaPrecios.add(precio5);
		listaCantidades.add(cant5);
		
		TextView nombre6 = (TextView) findViewById(R.id.nombreProd6Cesta);
		TextView tipo6 = (TextView) findViewById(R.id.tipoProd6Cesta);
		TextView precio6 = (TextView) findViewById(R.id.precioProd6Cesta);
		TextView cant6 = (TextView) findViewById(R.id.cantProd6Cesta);
		listaNombres.add(nombre6);
		listaTipos.add(tipo6);
		listaPrecios.add(precio6);
		listaCantidades.add(cant6);
		
		TextView nombre7 = (TextView) findViewById(R.id.nombreProd7Cesta);
		TextView tipo7 = (TextView) findViewById(R.id.tipoProd7Cesta);
		TextView precio7 = (TextView) findViewById(R.id.precioProd7Cesta);
		TextView cant7 = (TextView) findViewById(R.id.cantProd7Cesta);
		listaNombres.add(nombre7);
		listaTipos.add(tipo7);
		listaPrecios.add(precio7);
		listaCantidades.add(cant7);
		
		TextView nombre8 = (TextView) findViewById(R.id.nombreProd8Cesta);
		TextView tipo8 = (TextView) findViewById(R.id.tipoProd8Cesta);
		TextView precio8 = (TextView) findViewById(R.id.precioProd8Cesta);
		TextView cant8 = (TextView) findViewById(R.id.cantProd8Cesta);
		listaNombres.add(nombre8);
		listaTipos.add(tipo8);
		listaPrecios.add(precio8);
		listaCantidades.add(cant8);
		
		TextView nombre9 = (TextView) findViewById(R.id.nombreProd9Cesta);
		TextView tipo9 = (TextView) findViewById(R.id.tipoProd9Cesta);
		TextView precio9 = (TextView) findViewById(R.id.precioProd9Cesta);
		TextView cant9 = (TextView) findViewById(R.id.cantProd9Cesta);
		listaNombres.add(nombre9);
		listaTipos.add(tipo9);
		listaPrecios.add(precio9);
		listaCantidades.add(cant9);
		
		TextView nombre10 = (TextView) findViewById(R.id.nombreProd10Cesta);
		TextView tipo10 = (TextView) findViewById(R.id.tipoProd10Cesta);
		TextView precio10 = (TextView) findViewById(R.id.precioProd10Cesta);
		TextView cant10 = (TextView) findViewById(R.id.cantProd10Cesta);
		listaNombres.add(nombre10);
		listaTipos.add(tipo10);
		listaPrecios.add(precio10);
		listaCantidades.add(cant10);
		
		TextView nombre11 = (TextView) findViewById(R.id.nombreProd11Cesta);
		TextView tipo11 = (TextView) findViewById(R.id.tipoProd11Cesta);
		TextView precio11 = (TextView) findViewById(R.id.precioProd11Cesta);
		TextView cant11 = (TextView) findViewById(R.id.cantProd11Cesta);
		listaNombres.add(nombre11);
		listaTipos.add(tipo11);
		listaPrecios.add(precio11);
		listaCantidades.add(cant11);
		
		TextView nombre12 = (TextView) findViewById(R.id.nombreProd12Cesta);
		TextView tipo12 = (TextView) findViewById(R.id.tipoProd12Cesta);
		TextView precio12 = (TextView) findViewById(R.id.precioProd12Cesta);
		TextView cant12 = (TextView) findViewById(R.id.cantProd12Cesta);
		listaNombres.add(nombre12);
		listaTipos.add(tipo12);
		listaPrecios.add(precio12);
		listaCantidades.add(cant12);
		
		TextView nombre13 = (TextView) findViewById(R.id.nombreProd13Cesta);
		TextView tipo13 = (TextView) findViewById(R.id.tipoProd13Cesta);
		TextView precio13 = (TextView) findViewById(R.id.precioProd13Cesta);
		TextView cant13 = (TextView) findViewById(R.id.cantProd13Cesta);
		listaNombres.add(nombre13);
		listaTipos.add(tipo13);
		listaPrecios.add(precio13);
		listaCantidades.add(cant13);
		
		TextView nombre14 = (TextView) findViewById(R.id.nombreProd14Cesta);
		TextView tipo14 = (TextView) findViewById(R.id.tipoProd14Cesta);
		TextView precio14 = (TextView) findViewById(R.id.precioProd14Cesta);
		TextView cant14 = (TextView) findViewById(R.id.cantProd14Cesta);
		listaNombres.add(nombre14);
		listaTipos.add(tipo14);
		listaPrecios.add(precio14);
		listaCantidades.add(cant14);
		
		TextView nombre15 = (TextView) findViewById(R.id.nombreProd15Cesta);
		TextView tipo15 = (TextView) findViewById(R.id.tipoProd15Cesta);
		TextView precio15 = (TextView) findViewById(R.id.precioProd15Cesta);
		TextView cant15 = (TextView) findViewById(R.id.cantProd15Cesta);
		listaNombres.add(nombre15);
		listaTipos.add(tipo15);
		listaPrecios.add(precio15);
		listaCantidades.add(cant15);
		
		TextView nombre16 = (TextView) findViewById(R.id.nombreProd16Cesta);
		TextView tipo16 = (TextView) findViewById(R.id.tipoProd16Cesta);
		TextView precio16 = (TextView) findViewById(R.id.precioProd16Cesta);
		TextView cant16 = (TextView) findViewById(R.id.cantProd16Cesta);
		listaNombres.add(nombre16);
		listaTipos.add(tipo16);
		listaPrecios.add(precio16);
		listaCantidades.add(cant16);
		
		TextView nombre17 = (TextView) findViewById(R.id.nombreProd17Cesta);
		TextView tipo17 = (TextView) findViewById(R.id.tipoProd17Cesta);
		TextView precio17 = (TextView) findViewById(R.id.precioProd17Cesta);
		TextView cant17 = (TextView) findViewById(R.id.cantProd17Cesta);
		listaNombres.add(nombre17);
		listaTipos.add(tipo17);
		listaPrecios.add(precio17);
		listaCantidades.add(cant17);
		
		TextView nombre18 = (TextView) findViewById(R.id.nombreProd18Cesta);
		TextView tipo18 = (TextView) findViewById(R.id.tipoProd18Cesta);
		TextView precio18 = (TextView) findViewById(R.id.precioProd18Cesta);
		TextView cant18 = (TextView) findViewById(R.id.cantProd18Cesta);
		listaNombres.add(nombre18);
		listaTipos.add(tipo18);
		listaPrecios.add(precio18);
		listaCantidades.add(cant18);
		
		TextView nombre19 = (TextView) findViewById(R.id.nombreProd19Cesta);
		TextView tipo19 = (TextView) findViewById(R.id.tipoProd19Cesta);
		TextView precio19 = (TextView) findViewById(R.id.precioProd19Cesta);
		TextView cant19 = (TextView) findViewById(R.id.cantProd19Cesta);
		listaNombres.add(nombre19);
		listaTipos.add(tipo19);
		listaPrecios.add(precio19);
		listaCantidades.add(cant19);
		
		TextView nombre20 = (TextView) findViewById(R.id.nombreProd20Cesta);
		TextView tipo20 = (TextView) findViewById(R.id.tipoProd20Cesta);
		TextView precio20 = (TextView) findViewById(R.id.precioProd20Cesta);
		TextView cant20 = (TextView) findViewById(R.id.cantProd20Cesta);
		listaNombres.add(nombre20);
		listaTipos.add(tipo20);
		listaPrecios.add(precio20);
		listaCantidades.add(cant20);
		
		TextView nombre = listaNombres.get(0);
		nombre.setText(nombres[0]);
		TextView tipo = listaTipos.get(0);
		tipo.setText(tipos[0]);
		TextView precio = listaPrecios.get(0);
		precio.setText(String.valueOf(precios[0]));
		TextView cant = listaCantidades.get(0);
		cant.setText("1");
		
		int indiceCuenta = 1;
		int indicePantalla = 0;
		int i = 1;
		while(i<contador){
			if(listaNombres.get(i-1).equals(listaNombres.get(i)) 
					&& listaTipos.get(i-1).equals(listaTipos.get(i))){
				indiceCuenta = indiceCuenta + 1;
				TextView cantBucle = listaCantidades.get(indicePantalla);
				cantBucle.setText(String.valueOf(indiceCuenta));
			}else{
				indicePantalla = indicePantalla + 1;
				TextView nombreBucle = listaNombres.get(indicePantalla);
				nombreBucle.setText(nombres[indicePantalla]);
				TextView tipoBucle = listaTipos.get(indicePantalla);
				tipoBucle.setText(tipos[indicePantalla]);
				TextView precioBucle = listaPrecios.get(indicePantalla);
				precioBucle.setText(String.valueOf(precios[indicePantalla]));
				TextView cantBucle = listaCantidades.get(indicePantalla);
				cantBucle.setText("1");
				indiceCuenta = 1;
			}
			i++;
		}
		
		//Rellenamos la lista de productos seleccionados
		/*for(int i=1;i<contador;i++){
			if(listaNombres.get(i-1) == listaNombres.get(i)){
				
			}else{
				TextView nombreBucle = listaNombres.get(i);
				nombre.setText(nombres[i]);
				TextView tipoBucle = listaTipos.get(i);
				tipo.setText(tipos[i]);
				TextView precioBucle = listaPrecios.get(i);
				precio.setText(String.valueOf(precios[i]));
				TextView cantBucle = listaCantidades.get(i);
				cant.setText("2");
			}
			
		}*/
			
	}

}
