package org.ap;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.AdapterView.OnItemSelectedListener;

public class PedidoPostresActivity extends Activity{
	
	private ProductoPedido p1 = new ProductoPedido();
	private ProductoPedido p2 = new ProductoPedido();
	private ProductoPedido p3 = new ProductoPedido();
	private ProductoPedido p4 = new ProductoPedido();
	private Iterator<ProductoPedido> it;
	
	private String nombre;
	private String telefono;
	private String email;
	private String direccion;
	private String hora;
	private Integer contador;
	private String[] nombres;
	private String[] tipos;
	private double[] precios;
	//private int[] cantidades;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.pedidopostres);
		
		//List<ProductoPedido> productos = new ArrayList<ProductoPedido>();
//		productos.add(p1);
//		productos.add(p2);
//		productos.add(p3);
//		productos.add(p4);
		//it = productos.iterator();
		
		Bundle bundle = getIntent().getExtras();
		nombre = bundle.getString("Nombre");
		telefono = bundle.getString("Telfono");
		email = bundle.getString("Email");
		direccion = bundle.getString("Direccin");
		hora = bundle.getString("Hora");
		contador = bundle.getInt("contadorProductos");
		nombres = bundle.getStringArray("nombresProductos");
		tipos = bundle.getStringArray("tiposProductos");
		precios = bundle.getDoubleArray("preciosProductos");
		//cantidades = bundle.getIntArray("cantidadesProductos");
		
		TextView nombre1 = (TextView) findViewById(R.id.nombrePio);
		p1.setNombre(nombre1.getText().toString());
		TextView tipo1 = (TextView) findViewById(R.id.tipoPio);
		p1.setTipo(tipo1.getText().toString());
		TextView precio1 = (TextView) findViewById(R.id.precioPio);
		String aux1 = precio1.getText().toString();
		p1.setPrecio(Double.parseDouble(aux1));
		Spinner spinner1 = (Spinner) findViewById(R.id.spinnerPio);
		spinner1.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p1.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
			}
		});
		
		TextView nombre2 = (TextView) findViewById(R.id.nombreTiaPep);
		p2.setNombre(nombre2.getText().toString());
		TextView tipo2 = (TextView) findViewById(R.id.tipoTiaPep);
		p2.setTipo(tipo2.getText().toString());
		TextView precio2 = (TextView) findViewById(R.id.precioTiaPep);
		String aux2 = precio2.getText().toString();
		p2.setPrecio(Double.parseDouble(aux2));
		Spinner spinner2 = (Spinner) findViewById(R.id.spinnerTiaPep);
		spinner2.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p2.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
			}
		});
		
		TextView nombre3 = (TextView) findViewById(R.id.nombreTir);
		p3.setNombre(nombre3.getText().toString());
		TextView tipo3 = (TextView) findViewById(R.id.tipoTir);
		p3.setTipo(tipo3.getText().toString());
		TextView precio3 = (TextView) findViewById(R.id.precioTir);
		String aux3 = precio3.getText().toString();
		p3.setPrecio(Double.parseDouble(aux3));
		Spinner spinner3 = (Spinner) findViewById(R.id.spinnerTir);
		spinner3.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p3.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
			}
		});
		
		TextView nombre4 = (TextView) findViewById(R.id.nombreTitMar);
		p4.setNombre(nombre4.getText().toString());
		TextView tipo4 = (TextView) findViewById(R.id.tipoTitMar);
		p4.setTipo(tipo4.getText().toString());
		TextView precio4 = (TextView) findViewById(R.id.precioTitMar);
		String aux4 = precio4.getText().toString();
		p4.setPrecio(Double.parseDouble(aux4));
		Spinner spinner4 = (Spinner) findViewById(R.id.spinnerTitMar);
		spinner4.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p4.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
			}
		});
		
		//Establecemos el comportamiento de los botones
		Button buttonCesta = (Button)findViewById(R.id.btnCestaTablas);;
        buttonCesta.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	int contadorAux = contador;
            	List<ProductoPedido> productos = new ArrayList<ProductoPedido>();
            	productos.clear();
        		productos.add(p1);
        		productos.add(p2);
        		productos.add(p3);
        		productos.add(p4);
        		it = productos.iterator();
        		
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(PedidoPostresActivity.this, Pedido3Activity.class);
                while(it.hasNext()){
                	ProductoPedido p = it.next();
                	int numero = p.getCantidad();
                	if(numero != 0){
                		for(int i=0;i<numero;i++){
                			nombres[contadorAux] = p.getNombre();
                        	tipos[contadorAux] = p.getTipo();
                        	precios[contadorAux] = p.getPrecio();
                        	//cantidades[contador] = p.getCantidad();
                        	contadorAux = contadorAux + 1;
                    	}
                	}
                }
                if(contadorAux > 20){
            		Toast toast = Toast.makeText(getApplicationContext(),
	                        "Con esa eleccin, sobrepasa el lmite de 20 productos"
            				, Toast.LENGTH_LONG);
            		toast.show();
            	}else{
            		//Para incorporar informacin entre activities
                    Bundle bundle = new Bundle();
                    bundle.putString("Nombre", nombre);
                    bundle.putString("Telfono", telefono);
                    bundle.putString("Direccin", direccion);
                    bundle.putString("Email", email);
                    bundle.putString("Hora", hora);
                    bundle.putInt("contadorProductos", contadorAux);
                    bundle.putStringArray("nombresProductos", nombres);
                    bundle.putStringArray("tiposProductos", tipos);
                	bundle.putDoubleArray("preciosProductos", precios);
                	//bundle.putIntArray("cantidadesProductos", cantidades);
                    intent.putExtras(bundle);
                    //Lanza la actividad
                    startActivity(intent);
                    try {
    					finalize();
    				} catch (Throwable e) {
    					e.printStackTrace();
    				}
            	}
            }
        });
		
	}

}
