package org.ap;


import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.app.ProgressDialog;
import android.content.DialogInterface.OnClickListener;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class Reserva2Activity extends Activity {
	
	private String contenido;
	//Para mostrar una ventana de cargando
	private ProgressDialog progressDialog;
	private Mail m;
	
	// Creacin de la actividad
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.reserva2);
		
		progressDialog = new ProgressDialog(this);
		progressDialog.setTitle("Procesando");
		progressDialog.setMessage("Espere unos segundos...");
		
		Bundle bundle = getIntent().getExtras();
		
		//Ponemos los datos obtenidos del paso anterior
		TextView txtNombre = (TextView) findViewById(R.id.textNombre2);
		txtNombre.setText(bundle.getString("Nombre"));
		
		TextView txtTelefono = (TextView) findViewById(R.id.txtPhone2);
		txtTelefono.setText(bundle.getString("Telfono"));
		
		TextView txtEmail = (TextView) findViewById(R.id.txtEmail2);
		txtEmail.setText(bundle.getString("Email"));
		
		TextView txtNumComensales = (TextView) findViewById(R.id.textComensales2);
		txtNumComensales.setText(bundle.getString("NumComensales"));
		
		TextView txtFecha = (TextView) findViewById(R.id.txtFecha2);
		txtFecha.setText(bundle.getString("Fecha"));
		
		TextView txtHora = (TextView) findViewById(R.id.txtHora2);
		txtHora.setText(bundle.getString("Hora"));
		
		TextView txtComment = (TextView) findViewById(R.id.txtComment2);
		txtComment.setText(bundle.getString("Comentarios"));
		
		//El contenido que vamos a enviar
		contenido = "-Nombre: "+txtNombre.getText()+"\n";
	    contenido = contenido + "-Telfono: "+txtTelefono.getText()+"\n";
	    contenido = contenido + "-Email: "+txtEmail.getText()+"\n";
	    contenido = contenido + "-N comensales: "+txtNumComensales.getText()+"\n";
	    contenido = contenido + "-Fecha: "+txtFecha.getText()+"\n";
	    contenido = contenido + "-Hora: "+txtHora.getText()+"\n";
	    contenido = contenido + "-Comentarios: "+txtComment.getText()+"\n";
	    
	    Button btn = (Button)findViewById(R.id.buttonReservar2);
        //Establecemos el comportamiento del botn
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
            	showDialog(0);
            }
        });
        
	}
	
	 @Override
     protected Dialog onCreateDialog(int id){
		 Dialog dialogo;
		 if(id == 0){
			 dialogo = crearDialogoConfirmacion(); 
		 }else{
			 dialogo = crearDialogoAlerta(id);
		 }
            return dialogo; 
     }
	
	private Dialog crearDialogoConfirmacion(){
		
    	AlertDialog.Builder builder = new AlertDialog.Builder(this);
    	
    	builder.setTitle("Confirmacin");
    	builder.setMessage("Confirma la reserva?");
    	builder.setPositiveButton("Aceptar", new OnClickListener() {
			public void onClick(DialogInterface dialog, int which) {
				//Log.i("Dialogos", "Confirmacion Aceptada.");
				dialog.cancel();
				/*m = new Mail();
				m.setAsunto("Reserva");
				m.setBody(contenido);
				try{
					progressDialog.show();
					new Thread() { 
			            public void run() { 
			                 try{ 
			                     m.sendEmail();
			                     //Dismiss the Dialog 
				                 progressDialog.dismiss();
			                	 //Thread.sleep(10000);
			                 } catch (Exception e) {  }  
			            } 
			       }.start();
			       
				//m.sendEmail();
				}catch(Exception e){
					showDialog(2);
				}*/
				tramitarReserva();
				showDialog(1);
			}
		});
    	
    	builder.setNegativeButton("Cancelar", new OnClickListener() {
			public void onClick(DialogInterface dialog, int which) {
				//Log.i("Dialogos", "Confirmacion Cancelada.");
				dialog.cancel();
			}
		});
    	
    	return builder.create();
    }
	
	private void tramitarReserva(){
		m = new Mail();
		m.setAsunto("Reserva");
		m.setBody(contenido);
		try{
			progressDialog.show();
			new Thread() { 
	            public void run() { 
	                 try{ 
	                     m.sendEmail(); 
		                 progressDialog.dismiss();
	                 } catch (Exception e) {  }  
	            } 
	       }.start();
		//m.sendEmail();
		}catch(Exception e){
			showDialog(2);
		}
		showDialog(1);
	}
	
	private Dialog crearDialogoAlerta(int id){
		
    	AlertDialog.Builder builder = new AlertDialog.Builder(this);
    	
    	if(id == 1){
    		builder.setTitle("xito");
        	builder.setMessage("La reserva se ha enviado correctamente.");
        	builder.setPositiveButton("OK", new OnClickListener() {
    			public void onClick(DialogInterface dialog, int which) {
    				dialog.cancel();
    				Intent intent = new Intent(Reserva2Activity.this, AppAndroidActivity.class);
                    startActivity(intent);
    			}
    		});
    	}else{
    		builder.setTitle("Error");
        	builder.setMessage("No se ha podido enviar la reserva. Intntelo ms tarde.");
        	builder.setPositiveButton("OK", new OnClickListener() {
    			public void onClick(DialogInterface dialog, int which) {
    				dialog.cancel();
    			}
    		});
    	}
    	return builder.create();
    }
	

}
