package org.ap;

import java.util.Properties;  
import javax.mail.Message;  
import javax.mail.MessagingException;  
import javax.mail.Session;  
import javax.mail.Transport;  
import javax.mail.internet.InternetAddress;  
import javax.mail.internet.MimeMessage;

public class Mail {
	
	 private final Properties properties = new Properties();  
	 private Session session;
	 private String asunto;
	 private String body;
	  
	 public String getAsunto() {
		return asunto;
	}

	public void setAsunto(String asunto) {
		this.asunto = asunto;
	}

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}

	private void init() {  
	  
		 properties.put("mail.smtp.host", "smtp.gmail.com");  
	     properties.put("mail.smtp.starttls.enable", "true");  
	     properties.put("mail.smtp.port",25);  
	     properties.put("mail.smtp.mail.sender","apprestaurant@gmail.com");  
	     properties.put("mail.smtp.user", "apprestaurant");  
	     properties.put("mail.smtp.auth", "true");  
	  
	     session = Session.getDefaultInstance(properties);  
	    }  
	  
	    public void sendEmail(){  
	  
	        init();  
	        try{  
	            MimeMessage message = new MimeMessage(session);  
	            message.setFrom(new InternetAddress((String)properties.get("mail.smtp.mail.sender")));  
	            message.addRecipient(Message.RecipientType.TO, new InternetAddress("apprestaurant@gmail.com"));  
	            message.setSubject(asunto);  
	            message.setText(body);  
	            Transport t = session.getTransport("smtp");  
	            t.connect((String)properties.get("mail.smtp.user"), "guadalux");  
	            t.sendMessage(message, message.getAllRecipients());  
	            t.close();  
	        }catch (MessagingException me){  
	                        //Aqui se deberia o mostrar un mensaje de error o en lugar  
	                        //de no hacer nada con la excepcion, lanzarla para que el modulo  
	                        //superior la capture y avise al usuario con un popup, por ejemplo.  
	            return;  
	        }  
	          
	    }

}
