package org.ap;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
    	
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        Button btnCarta = (Button)findViewById(R.id.btnCarta);
        Button btnReserva = (Button)findViewById(R.id.btnReserva);
        Button btnPedido = (Button)findViewById(R.id.btnPedido);
        Button btnLocaliz = (Button)findViewById(R.id.btnLocaliz);
        
        //Establecemos el comportamiento del botn
        btnCarta.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(MainActivity.this, CartaActivity.class);
                startActivity(intent);
            }
        });
        
      //Establecemos el comportamiento del botn
        btnReserva.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(MainActivity.this, ReservaActivity.class);
                startActivity(intent);
            }
        });
        
      //Establecemos el comportamiento del botn
        btnPedido.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(MainActivity.this, PedidoActivity.class);
                startActivity(intent);
            }
        });
        
      //Establecemos el comportamiento del botn
        btnLocaliz.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	//Elemento que relaciona a dos actividades
                Intent intent = new Intent(MainActivity.this, LocalizActivity.class);
                startActivity(intent);
            }
        });
        
    }
    
}