package org.ap;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.AdapterView.OnItemSelectedListener;

public class PedidoTablasActivity extends Activity{
	
	private ProductoPedido p1 = new ProductoPedido();
	private ProductoPedido p2 = new ProductoPedido();
	private ProductoPedido p3 = new ProductoPedido();
	private ProductoPedido p4 = new ProductoPedido();
	private ProductoPedido p5 = new ProductoPedido();
	private ProductoPedido p6 = new ProductoPedido();
	private ProductoPedido p7 = new ProductoPedido();
	private ProductoPedido p8 = new ProductoPedido();
	private ProductoPedido p9 = new ProductoPedido();
	private ProductoPedido p10 = new ProductoPedido();
	private Iterator<ProductoPedido> it;
	
	private String nombre;
	private String telefono;
	private String email;
	private String direccion;
	private String hora;
	private Integer contador;
	private String[] nombres;
	private String[] tipos;
	private double[] precios;
	//private int[] cantidades;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.pedidotablas);
		
		Bundle bundle = getIntent().getExtras();
		nombre = bundle.getString("Nombre");
		telefono = bundle.getString("Telfono");
		email = bundle.getString("Email");
		direccion = bundle.getString("Direccin");
		hora = bundle.getString("Hora");
		contador = bundle.getInt("contadorProductos");
		nombres = bundle.getStringArray("nombresProductos");
		tipos = bundle.getStringArray("tiposProductos");
		precios = bundle.getDoubleArray("preciosProductos");
		//cantidades = bundle.getIntArray("cantidadesProductos");
		
		TextView nombre1 = (TextView) findViewById(R.id.nombreTabMojAtuBar);
		p1.setNombre(nombre1.getText().toString());
		TextView tipo1 = (TextView) findViewById(R.id.tipoTabMojAtuBar);
		p1.setTipo(tipo1.getText().toString());
		TextView precio1 = (TextView) findViewById(R.id.precioTabMojAtuBar);
		String aux1 = precio1.getText().toString();
		p1.setPrecio(Double.parseDouble(aux1));
		Spinner spinner1 = (Spinner) findViewById(R.id.spinnerTabMojAtuBar);
		spinner1.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p1.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
				p1.setCantidad(0);
			}
		});
		
		TextView nombre2 = (TextView) findViewById(R.id.nombreTabSalJam);
		p2.setNombre(nombre2.getText().toString());
		TextView tipo2 = (TextView) findViewById(R.id.tipoTabSalJam);
		p2.setTipo(tipo2.getText().toString());
		TextView precio2 = (TextView) findViewById(R.id.precioTabSalJam);
		String aux2 = precio2.getText().toString();
		p2.setPrecio(Double.parseDouble(aux2));
		Spinner spinner2 = (Spinner) findViewById(R.id.spinnerTabSalJam);
		spinner2.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p2.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
				p2.setCantidad(0);
			}
		});
		
		TextView nombre3 = (TextView) findViewById(R.id.nombreTabSalLomMec);
		p3.setNombre(nombre3.getText().toString());
		TextView tipo3 = (TextView) findViewById(R.id.tipoTabSalLomMec);
		p3.setTipo(tipo3.getText().toString());
		TextView precio3 = (TextView) findViewById(R.id.precioTabSalLomMec);
		String aux3 = precio3.getText().toString();
		p3.setPrecio(Double.parseDouble(aux3));
		Spinner spinner3 = (Spinner) findViewById(R.id.spinnerTabSalLomMec);
		spinner3.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p3.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
				p3.setCantidad(0);
			}
		});
		
		TextView nombre4 = (TextView) findViewById(R.id.nombreTabSer);
		p4.setNombre(nombre4.getText().toString());
		TextView tipo4 = (TextView) findViewById(R.id.tipoTabSer);
		p4.setTipo(tipo4.getText().toString());
		TextView precio4 = (TextView) findViewById(R.id.precioTabSer);
		String aux4 = precio4.getText().toString();
		p4.setPrecio(Double.parseDouble(aux4));
		Spinner spinner4 = (Spinner) findViewById(R.id.spinnerTabSer);
		spinner4.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p4.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
				p4.setCantidad(0);
			}
		});
		
		TextView nombre5 = (TextView) findViewById(R.id.nombreTabCol);
		p5.setNombre(nombre5.getText().toString());
		TextView tipo5 = (TextView) findViewById(R.id.tipoTabCol);
		p5.setTipo(tipo5.getText().toString());
		TextView precio5 = (TextView) findViewById(R.id.precioTabCol);
		String aux5 = precio5.getText().toString();
		p5.setPrecio(Double.parseDouble(aux5));
		Spinner spinner5 = (Spinner) findViewById(R.id.spinnerTabCol);
		spinner5.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p5.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
				p5.setCantidad(0);
			}
		});
		
		TextView nombre6 = (TextView) findViewById(R.id.nombreTabMon);
		p6.setNombre(nombre6.getText().toString());
		TextView tipo6 = (TextView) findViewById(R.id.tipoTabMon);
		p6.setTipo(tipo6.getText().toString());
		TextView precio6 = (TextView) findViewById(R.id.precioTabMon);
		String aux6 = precio6.getText().toString();
		p6.setPrecio(Double.parseDouble(aux6));
		Spinner spinner6 = (Spinner) findViewById(R.id.spinnerTabMon);
		spinner6.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p6.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
				p6.setCantidad(0);
			}
		});
		
		TextView nombre7 = (TextView) findViewById(R.id.nombreTabDuq);
		p7.setNombre(nombre7.getText().toString());
		TextView tipo7 = (TextView) findViewById(R.id.tipoTabDuq);
		p7.setTipo(tipo7.getText().toString());
		TextView precio7 = (TextView) findViewById(R.id.precioTabDuq);
		String aux7 = precio7.getText().toString();
		p7.setPrecio(Double.parseDouble(aux7));
		Spinner spinner7 = (Spinner) findViewById(R.id.spinnerTabDuq);
		spinner7.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p7.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
				p7.setCantidad(0);
			}
		});
		
		TextView nombre8 = (TextView) findViewById(R.id.nombreTabAncCan);
		p8.setNombre(nombre8.getText().toString());
		TextView tipo8 = (TextView) findViewById(R.id.tipoTabAncCan);
		p8.setTipo(tipo8.getText().toString());
		TextView precio8 = (TextView) findViewById(R.id.precioTabAncCan);
		String aux8 = precio8.getText().toString();
		p8.setPrecio(Double.parseDouble(aux8));
		Spinner spinner8 = (Spinner) findViewById(R.id.spinnerTabAncCan);
		spinner8.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p8.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
				p8.setCantidad(0);
			}
		});
		
		TextView nombre9 = (TextView) findViewById(R.id.nombreTabIbe);
		p9.setNombre(nombre9.getText().toString());
		TextView tipo9 = (TextView) findViewById(R.id.tipoTabIbe);
		p9.setTipo(tipo9.getText().toString());
		TextView precio9 = (TextView) findViewById(R.id.precioTabIbe);
		String aux9 = precio9.getText().toString();
		p9.setPrecio(Double.parseDouble(aux9));
		Spinner spinner9 = (Spinner) findViewById(R.id.spinnerTabIbe);
		spinner9.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p9.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
				p9.setCantidad(0);
			}
		});
		
		TextView nombre10 = (TextView) findViewById(R.id.nombreTabCam);
		p10.setNombre(nombre10.getText().toString());
		TextView tipo10 = (TextView) findViewById(R.id.tipoTabCam);
		p10.setTipo(tipo10.getText().toString());
		TextView precio10 = (TextView) findViewById(R.id.precioTabCam);
		String aux10 = precio10.getText().toString();
		p10.setPrecio(Double.parseDouble(aux10));
		Spinner spinner10 = (Spinner) findViewById(R.id.spinnerTabCam);
		spinner10.setOnItemSelectedListener(new OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				int index = arg0.getSelectedItemPosition();
				p10.setCantidad(index);
			}

			@Override
			//Mtodo que se hace al no hacer nada
			public void onNothingSelected(AdapterView<?> arg0) {
				p10.setCantidad(0);
			}
		});
		
		//Establecemos el comportamiento de los botones
		Button buttonCesta = (Button)findViewById(R.id.btnCestaTablas);
        buttonCesta.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View arg0) {
            	int contadorAux = contador;
            	List<ProductoPedido> productos = new ArrayList<ProductoPedido>();
            	productos.clear();
        		productos.add(p1);
        		productos.add(p2);
        		productos.add(p3);
        		productos.add(p4);
        		productos.add(p5);
        		productos.add(p6);
        		productos.add(p7);
        		productos.add(p8);
        		productos.add(p9);
        		productos.add(p10);
        		it = productos.iterator();
        		
                while(it.hasNext()){
                	ProductoPedido p = it.next();
                	int numero = p.getCantidad();
                	if(numero != 0){
                		for(int i=0;i<numero;i++){
                			if(contadorAux < 20){
                				nombres[contadorAux] = p.getNombre();
                            	tipos[contadorAux] = p.getTipo();
                            	precios[contadorAux] = p.getPrecio();
                            	//cantidades[contador] = p.getCantidad();
                			}
                        	contadorAux = contadorAux + 1;
                    	}
                	}
                }
                
                if(contadorAux > 20){
            		Toast toast = Toast.makeText(getApplicationContext(),
	                        "Con esa eleccin, sobrepasa el lmite de 20 productos"
            				, Toast.LENGTH_LONG);
            		toast.show();
            	}else{
            		//Para incorporar informacin entre activities
            		Intent intent = new Intent(PedidoTablasActivity.this, Pedido3Activity.class);
                    Bundle bundle = new Bundle();
                    bundle.putString("Nombre", nombre);
                    bundle.putString("Telfono", telefono);
                    bundle.putString("Direccin", direccion);
                    bundle.putString("Email", email);
                    bundle.putString("Hora", hora);
                    bundle.putInt("contadorProductos", contadorAux);
                    bundle.putStringArray("nombresProductos", nombres);
                    bundle.putStringArray("tiposProductos", tipos);
                	bundle.putDoubleArray("preciosProductos", precios);
                	//bundle.putIntArray("cantidadesProductos", cantidades);
                    intent.putExtras(bundle);
                    //Lanza la actividad
                    try {
    					finalize();
    				} catch (Throwable e) {
    					e.printStackTrace();
    				}
                    startActivity(intent);
                    
            	}
            }
        });
		
	}

}